Subject: [Cellar] Understanding VP8 data in a MKV file

From: Austin Einter <[email-masked]>
Date: Sun, 31 Dec 2017 22:32:11 +0530

I have a mkv file, that contains VP8 encoded data.
I need to stream this data to chrome (through RTP), and need to play it in
chrome.

I have parsed the mkv file, and I have VP8 data.
I will be sending this VP8 data in RTP packetc.
Looks I need to follow RFC 7741 to put VP8 descriptor / header in RTP
packet followed by VP8 data.

Now I have several doubts, kindly try to help me to understand.

1) What is a partition in VP8 and from MKV file how do I get partition
information.
2) I need to put partition size in VP8 header. From where I get the
partition size.
3) How do I know partition index, this I need to put in VP8 descriptor.

Does VP8 data I read from mkv file contains this.

Regards
Austin